<?php

/**
 * @file
 *   Insert function for the relwmls module.
 * @ingroup relwmls
 */

/**
 * Implementation of hook_insert()
 */
function relwmls_insert($node) {
  if (variable_get('relwmls_suppress_insert', FALSE)) {
    return;
  }
  $node->comment = 0;
  $node->promote = 0;
  db_query("INSERT INTO {relwmls_mls_listing} (
    `nid`,
    `vid`,
    `mls_id`,
    `mls_state_id`,
    `mls_listing_id`,
    `tln_firm_id`,
    `mls_office_name`,
    `mls_office_phone`,
    `tln_realtor_id`,
    `mls_agent_name`,
    `mls_agent_phone`,
    `listing_date`,
    `listing_expiration_date`,
    `sold_date`,
    `available_date`,
    `property_type_code`,
    `prop_type_description`,
    `remarks`,
    `status_code`,
    `sale_price`,
    `sold_price`,
    `property_state_id`,
    `street_number`,
    `street_name`,
    `street_type`,
    `street_direction`,
    `unit_number`,
    `longitude`,
    `latitude`,
    `city`,
    `city_id`,
    `zip_code`,
    `zip_plus4`,
    `mls_area`,
    `county`,
    `fips_county_code`,
    `subdivision`,
    `community_name`,
    `year_built`,
    `acres`,
    `lot_dimensions`,
    `lot_square_footage`,
    `lot_square_footage_land`,
    `building_square_footage`,
    `bedrooms`,
    `baths_total`,
    `baths_full`,
    `baths_half`,
    `baths_three_quarter`,
    `fireplace_number`,
    `total_rooms`,
    `school_district`,
    `school_elementary`,
    `school_middle`,
    `school_junior_high`,
    `school_high`,
    `total_units`,
    `total_buildings`,
    `total_lots`,
    `hoa_fees`,
    `owners_name`,
    `legal`,
    `apn`,
    `taxes`,
    `tax_year`,
    `section`,
    `range`,
    `township`,
    `rent_on_season`,
    `rent_off_season`,
    `photo_ind`,
    `last_mls_update_date`,
    `master_bed`,
    `bed2`,
    `bed3`,
    `bed4`,
    `bed5`,
    `kitchen`,
    `breakfast`,
    `laundry`,
    `den`,
    `dining`,
    `family`,
    `living`,
    `great`,
    `extra`,
    `feature_codes`,
    `mls_office_id`,
    `mls_agent_id`,
    `virtual_tour_url`,
    `photo_quantity`,
    `photo_url`,
    `photo_most_recent_date`
    ) VALUES (
    %d,
    %d,
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s',
    '%s'
    )",
    $node->nid,
    $node->vid,
    $node->mls_id,
    $node->mls_state_id,
    $node->mls_listing_id,
    $node->tln_firm_id,
    $node->mls_office_name,
    $node->mls_office_phone,
    $node->tln_realtor_id,
    $node->mls_agent_name,
    $node->mls_agent_phone,
    $node->listing_date,
    $node->listing_expiration_date,
    $node->sold_date,
    $node->available_date,
    $node->property_type_code,
    $node->prop_type_description,
    $node->remarks,
    $node->status_code,
    $node->sale_price,
    $node->sold_price,
    $node->property_state_id,
    $node->street_number,
    $node->street_name,
    $node->street_type,
    $node->street_direction,
    $node->unit_number,
    $node->longitude,
    $node->latitude,
    $node->city,
    $node->city_id,
    $node->zip_code,
    $node->zip_plus4,
    $node->mls_area,
    $node->county,
    $node->fips_county_code,
    $node->subdivision,
    $node->community_name,
    $node->year_built,
    $node->acres,
    $node->lot_dimensions,
    $node->lot_square_footage,
    $node->lot_square_footage_land,
    $node->building_square_footage,
    $node->bedrooms,
    $node->baths_total,
    $node->baths_full,
    $node->baths_half,
    $node->baths_three_quarter,
    $node->fireplace_number,
    $node->total_rooms,
    $node->school_district,
    $node->school_elementary,
    $node->school_middle,
    $node->school_junior_high,
    $node->school_high,
    $node->total_units,
    $node->total_buildings,
    $node->total_lots,
    $node->hoa_fees,
    $node->owners_name,
    $node->legal,
    $node->apn,
    $node->taxes,
    $node->tax_year,
    $node->section,
    $node->range,
    $node->township,
    $node->rent_on_season,
    $node->rent_off_season,
    $node->photo_ind,
    $node->last_mls_update_date,
    $node->master_bed,
    $node->bed2,
    $node->bed3,
    $node->bed4,
    $node->bed5,
    $node->kitchen,
    $node->breakfast,
    $node->laundry,
    $node->den,
    $node->dining,
    $node->family,
    $node->living,
    $node->great,
    $node->extra,
    $node->feature_codes,
    $node->mls_office_id,
    $node->mls_agent_id,
    $node->virtual_tour_url,
    $node->photo_quantity,
    $node->photo_url,
    $node->photo_most_recent_date
  );
}

