<?php

/**
 * @file
 *   Update function for the relwmls module.
 * @ingroup relwmls
 */

/**
 * Implementation of hook_update()
 */
function relwmls_update($node) {
  if ($node->revision) {
    relwmls_insert($node);
  }
  else {
    db_query("UPDATE {relwmls_mls_listing} SET
      `mls_id` = '%s',
      `mls_state_id` = '%s',
      `mls_listing_id` = '%s',
      `tln_firm_id` = '%s',
      `mls_office_name` = '%s',
      `mls_office_phone` = '%s',
      `tln_realtor_id` = '%s',
      `mls_agent_name` = '%s',
      `mls_agent_phone` = '%s',
      `listing_date` = '%s',
      `listing_expiration_date` = '%s',
      `sold_date` = '%s',
      `available_date` = '%s',
      `property_type_code` = '%s',
      `prop_type_description` = '%s',
      `remarks` = '%s',
      `status_code` = '%s',
      `sale_price` = '%s',
      `sold_price` = '%s',
      `property_state_id` = '%s',
      `street_number` = '%s',
      `street_name` = '%s',
      `street_type` = '%s',
      `street_direction` = '%s',
      `unit_number` = '%s',
      `longitude` = '%s',
      `latitude` = '%s',
      `city` = '%s',
      `city_id` = '%s',
      `zip_code` = '%s',
      `zip_plus4` = '%s',
      `mls_area` = '%s',
      `county` = '%s',
      `fips_county_code` = '%s',
      `subdivision` = '%s',
      `community_name` = '%s',
      `year_built` = '%s',
      `acres` = '%s',
      `lot_dimensions` = '%s',
      `lot_square_footage` = '%s',
      `lot_square_footage_land` = '%s',
      `building_square_footage` = '%s',
      `bedrooms` = '%s',
      `baths_total` = '%s',
      `baths_full` = '%s',
      `baths_half` = '%s',
      `baths_three_quarter` = '%s',
      `fireplace_number` = '%s',
      `total_rooms` = '%s',
      `school_district` = '%s',
      `school_elementary` = '%s',
      `school_middle` = '%s',
      `school_junior_high` = '%s',
      `school_high` = '%s',
      `total_units` = '%s',
      `total_buildings` = '%s',
      `total_lots` = '%s',
      `hoa_fees` = '%s',
      `owners_name` = '%s',
      `legal` = '%s',
      `apn` = '%s',
      `taxes` = '%s',
      `tax_year` = '%s',
      `section` = '%s',
      `range` = '%s',
      `township` = '%s',
      `rent_on_season` = '%s',
      `rent_off_season` = '%s',
      `photo_ind` = '%s',
      `last_mls_update_date` = '%s',
      `master_bed` = '%s',
      `bed2` = '%s',
      `bed3` = '%s',
      `bed4` = '%s',
      `bed5` = '%s',
      `kitchen` = '%s',
      `breakfast` = '%s',
      `laundry` = '%s',
      `den` = '%s',
      `dining` = '%s',
      `family` = '%s',
      `living` = '%s',
      `great` = '%s',
      `extra` = '%s',
      `feature_codes` = '%s',
      `mls_office_id` = '%s',
      `mls_agent_id` = '%s',
      `virtual_tour_url` = '%s',
      `photo_quantity` = '%s',
      `photo_url` = '%s',
      `photo_most_recent_date` = '%s'
      WHERE `vid` = %d",
      $node->mls_id,
      $node->mls_state_id,
      $node->mls_listing_id,
      $node->tln_firm_id,
      $node->mls_office_name,
      $node->mls_office_phone,
      $node->tln_realtor_id,
      $node->mls_agent_name,
      $node->mls_agent_phone,
      $node->listing_date,
      $node->listing_expiration_date,
      $node->sold_date,
      $node->available_date,
      $node->property_type_code,
      $node->prop_type_description,
      $node->remarks,
      $node->status_code,
      $node->sale_price,
      $node->sold_price,
      $node->property_state_id,
      $node->street_number,
      $node->street_name,
      $node->street_type,
      $node->street_direction,
      $node->unit_number,
      $node->longitude,
      $node->latitude,
      $node->city,
      $node->city_id,
      $node->zip_code,
      $node->zip_plus4,
      $node->mls_area,
      $node->county,
      $node->fips_county_code,
      $node->subdivision,
      $node->community_name,
      $node->year_built,
      $node->acres,
      $node->lot_dimensions,
      $node->lot_square_footage,
      $node->lot_square_footage_land,
      $node->building_square_footage,
      $node->bedrooms,
      $node->baths_total,
      $node->baths_full,
      $node->baths_half,
      $node->baths_three_quarter,
      $node->fireplace_number,
      $node->total_rooms,
      $node->school_district,
      $node->school_elementary,
      $node->school_middle,
      $node->school_junior_high,
      $node->school_high,
      $node->total_units,
      $node->total_buildings,
      $node->total_lots,
      $node->hoa_fees,
      $node->owners_name,
      $node->legal,
      $node->apn,
      $node->taxes,
      $node->tax_year,
      $node->section,
      $node->range,
      $node->township,
      $node->rent_on_season,
      $node->rent_off_season,
      $node->photo_ind,
      $node->last_mls_update_date,
      $node->master_bed,
      $node->bed2,
      $node->bed3,
      $node->bed4,
      $node->bed5,
      $node->kitchen,
      $node->breakfast,
      $node->laundry,
      $node->den,
      $node->dining,
      $node->family,
      $node->living,
      $node->great,
      $node->extra,
      $node->feature_codes,
      $node->mls_office_id,
      $node->mls_agent_id,
      $node->virtual_tour_url,
      $node->photo_quantity,
      $node->photo_url,
      $node->photo_most_recent_date,
      $node->vid
    );
  }
}

